Parameter useve does not start the Visual Editor
Closed, ResolvedPublic1 Story Points

Description

Per https://www.mediawiki.org/wiki/Extension:InputBox#Parameters (last example) the parameter

useve

should start the Visual Editor for creating a new page. This does not work.

Instead the non existing page with "There is currently no text in this page" is showing up.

Raymond created this task.Sep 30 2016, 8:48 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 30 2016, 8:48 AM
Raymond updated the task description. (Show Details)Sep 30 2016, 8:49 AM
Elitre added a subscriber: Elitre.Sep 30 2016, 11:41 AM

Raymond, where is this happening?
Because it seems to work in certain circumstances. (The useve info was added to the page a year ago-and not by a team member, FWIW).

@Elitre The useve option was added in September 2015 to the code base of Inputbox.

And I tried to create a page in the main namespace via the last example on https://www.mediawiki.org/wiki/Extension:InputBox#Parameters . Please test it for your self with a pagename like "dvdfvfdvdvdfvdvdv".

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.

@Florian, you wrote this code, any idea what's going on?

Florian claimed this task.Oct 4 2016, 8:03 PM

Hmm, since December 2015, VE does not start anymore, if not supported parameters are passed to the page (e.g. preload). This was introduced with commit 98a456b18907b4bba1aed3ccaee1eba57428ba2c.

As InputBox passes these parameters (even if they're empty), VE rejects to "start up". However, as I understand the commit, the source editor should start in this case (by redirecting the user?), so probably you should rethink this (as it currently seems to doesn't reload). As a fix for Inputbox I'll upload a patch :) Thanks for pointing me to this problem! :)

Change 314069 had a related patch set uploaded (by Florianschmidtwelzow):
Expose not supported url parameters for other extensions

https://gerrit.wikimedia.org/r/314069

Change 314070 had a related patch set uploaded (by Florianschmidtwelzow):
Don't add url parameters to an input box, if the editor can't handle them

https://gerrit.wikimedia.org/r/314070

Change 314069 abandoned by Florianschmidtwelzow:
Expose not supported url parameters for other extensions

Reason:
not needed anymore.

https://gerrit.wikimedia.org/r/314069

eranroz added a subscriber: eranroz.Jan 2 2017, 9:46 PM

I removed the documentation of this feature as it is broken. [ 1 ]
Please revert me once it is fixed.

T144796 refers to the same since Sep. 6, 2016.

This comment was removed by Sophivorus.

@Florian I left my review on your patch, it looks great. However I cannot +2, we need someone else to look at it.

Change 314070 merged by jenkins-bot:
[mediawiki/extensions/InputBox@master] Don't add url parameters to an input box, if the parameter is empty

https://gerrit.wikimedia.org/r/314070

Florian closed this task as Resolved.Jul 27 2017, 6:24 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptJul 27 2017, 6:24 PM
This comment was removed by ManosHacker.
ManosHacker reopened this task as Open.Jul 28 2017, 5:05 AM

NOT resolved, cannot create a page with VE in user space, i.e to create a sandboxed article

Florian closed this task as Resolved.Jul 28 2017, 7:58 AM
Florian added a subscriber: ReleaseTaggerBot.

It's not deployed, yet, on Wikipedias or other Wikimedia projects, so it does not work there for now. However, it will be deployed with the version 1.30.0-wmf.12 (like mentioned by @ReleaseTaggerBot), which will most likely land on Wikipedias at Thursday, 03 August 2017. You can already test it on betalabs:
https://en.wikipedia.beta.wmflabs.org/wiki/User:Florianschmidtwelzow/sandbox

Therefore closing it againa s Resolved.

ManosHacker added a comment.EditedAug 6 2017, 8:58 AM

I am sorry to say it again, but, supposing version 1.30.0-wmf.12 has been implemented, useve does not function properly.
Parameter prefix does not function when useve=true is used.

I have added T172631 on this.

Following up, this now appears to be working correctly. Appending ?veaction=edit on the end of a page's URL now does start VisualEditor.

ManosHacker added a comment.EditedAug 30 2017, 2:01 PM

But it still does not pass the prefix parameter, so it is still buggy: T172631 .

But it still does not pass the prefix parameter, so it is still buggy: T172631 .

Yes, other bugs still exist. This specific one is resolved.